package net.knarcraft.bookswithoutborders.utility;

import java.io.File;

public class FileHelper {

    /**
     * Checks if a file path points to an actual book
     * @param bookFile <p>The path to a book</p>
     * @return <p>True if the file exists and points to a book file</p>
     */
    public static boolean bookFileExists(String bookFile) {
        return ((new File(bookFile).isFile() && (bookFile.endsWith(".txt") ||
                bookFile.endsWith(".yml"))) || new File(bookFile + ".txt").isFile() ||
                new File(bookFile + ".yml").isFile()) && !bookFile.contains("../") && !bookFile.contains("..\\");
    }

    public static File getBookFile(String bookPath) {
        if (!bookFileExists(bookPath)) {
            return null;
        }

        File bookFile = new File(bookPath);
        if (bookFile.exists()) {
            return bookFile;
        }

        File bookFileYml = new File(bookPath + ".yml");
        if (bookFileYml.exists()) {
            return bookFileYml;
        }

        File bookFileTxt = new File(bookPath + ".txt");
        if (bookFileTxt.exists()) {
            return bookFileTxt;
        }

        return null;
    }

}
